[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomDockForm.AutoScroll

Indicates if the form can automatically show or hide its scroll bars.

## Declaration

Source position: forms.pp line 970

`public property TCustomDockForm.AutoScroll : Boolean default False;`

## Description

AutoScroll is a Boolean property which indicates if the form can automatically show or hide its scroll bars. The default value for the property is False in TCustomDockForm.

AutoScroll can only be True when the BorderStyle for the form is bsSizeable or bsSizeToolWin, and may be changed to False at run-time when BorderStyle is changed to another value.

## See also

TCustomDockForm.BorderStyle |  | The border style affects the title bar, border, icons, and resize behavior of the form.
TCustomForm.AutoScroll |  | Indicates if the form can automatically show or hide scroll bars.